Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Project Rio
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jini.rio.core
Class JSBControlException

    java.lang.Object
      java.lang.Throwable
          java.lang.Exception
              org.jini.rio.core.JSBControlException

All Implemented Interfaces:
  Serializable

    public class JSBControlException

extends Exception

Thrown when an a Jini Service Bean (JSB) cannot be controlled

See Also:
  Serialized Form

Constructor Summary
`JSBControlException()` Constructs a `JSBControlException` with no detail message.
`JSBControlException(String s)` Constructs a `JSBControlException` with the specified detail message
`JSBControlException(String s, Throwable cause)` Constructs a `JSBControlException` with the specified detail message and optional exception that was raised while controlling the JSB

Method Summary
`void` | `printStackTrace()` Prints the stack backtrace.
`void` | `printStackTrace(PrintStream ps)` Prints the stack backtrace to the specified print stream.
`void` | `printStackTrace(PrintWriter pw)` Prints the stack backtrace to the specified print writer.

Methods inherited from class java.lang.Throwable
`fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, initCause, setStackTrace, toString`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### JSBControlException

    public JSBControlException()

  Constructs a `JSBControlException` with no detail message.

### JSBControlException

    public JSBControlException(String s)

  Constructs a `JSBControlException` with the specified detail message

  Parameters:
    `s` - the detail message.

### JSBControlException

    public JSBControlException(String s,
                               Throwable cause)

  Constructs a `JSBControlException` with the specified detail message and optional exception that was raised while controlling the JSB

  Parameters:
    `s` - The detail message
    `cause` - The exception that was raised while controlling the JSB

Method Detail

### printStackTrace

    public void printStackTrace()

  Prints the stack backtrace. If an exception occurred during JSB instantiation it prints that exception's stack trace, or else prints the stack backtrace of this exception.

  Overrides:
    `printStackTrace` in class `Throwable`
  See Also:
    `System.err`

### printStackTrace

    public void printStackTrace(PrintStream ps)

  Prints the stack backtrace to the specified print stream. If an exception occurred during JSB instantiation it prints that exception's stack trace, or else prints the stack backtrace of this exception.

  Overrides:
    `printStackTrace` in class `Throwable`

### printStackTrace

    public void printStackTrace(PrintWriter pw)

  Prints the stack backtrace to the specified print writer. If an exception occurred during class loading it prints that exception's stack trace, or else prints the stack backtrace of this exception.

  Overrides:
    `printStackTrace` in class `Throwable`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Project Rio
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © Project Rio.